## Apache Zeta Components Manual :: Docs For Class ezcMailMultipartAlternative

### Mail::ezcMailMultipartAlternative

### Class ezcMailMultipartAlternative

ezcMailMultipartAlternative is used to bundle a group of mail parts where only one should be shown.

This is useful e.g if you have a text in some fancy format but you also want to provide a backup plain text format to make sure everyone can read the mail. The alternatives should be added in an order of increasing faithfulness to the original content. In general, the best choice is the LAST part of a type supported by the recipients mail client.

The following example shows a HTML mail with a plain text backup in case the recipients client can't display HTML mail.

1. $mail=new ezcMail ();
2. $mail->from=new ezcMailAddress ('sender@example.com','Adrian Ripburger');
3. $mail->addTo(new ezcMailAddress ('receiver@example.com','Maureen Corley') );
4. $mail->subject="Example of an HTML email with attachments";
5. $plainText=new ezcMailText ("This is the plain text part");
6. $htmlText=new ezcMailText ("<html>This is the HTML part</html>");
7. $htmlText->subType='html';
8. $mail->body=new ezcMailMultipartAlternative ($plainText,$htmlText);

Source for this file: /Mail/src/parts/multiparts/multipart_alternative.php

    ezcMailPart
       |
       --ezcMailMultipart
          |
          --ezcMailMultipartAlternative

Version: | //autogen//

### Inherited Constants

From ezcMailMultipart:
`ezcMailMultipart::DEFAULT_NO_MIME_MESSAGE` | Default message displayed to non-MIME capable email clients.

### Inherited Member Variables

From ezcMailMultipart
protected | `ezcMailMultipart::$parts`
From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

public ezcMailMultipartAlternative | `__construct( $... )` Constructs a new ezcMailMultipartAlternative
public void | `appendPart( $part )` Appends a part to the list of parts.
public array(ezcMailPart) | `getParts( )` Returns the mail parts associated with this multipart.
public string | `multipartType( )` Returns "alternative".

### Inherited Methods

From ezcMailMultipart
public ezcMailMultipart | `ezcMailMultipart::__construct()` Constructs a new ezcMailMultipart with the parts $parts.
public string | `ezcMailMultipart::generateBody()` Returns the generated body for all multipart types.
protected static string | `ezcMailMultipart::generateBoundary()` Returns a unique boundary string.
public abstract string | `ezcMailMultipart::multipartType()` Returns the type of multipart.
From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### __construct

ezcMailMultipartAlternative __construct( ezcMailPart|array(ezcMailPart) $... )

Constructs a new ezcMailMultipartAlternative

The constructor accepts an arbitrary number of ezcMailParts or arrays with ezcMailparts. Parts are added in the order provided. Parameters of the wrong type are ignored.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | ezcMailPart|array(ezcMailPart) |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::__construct()` | Constructs a new ezcMailMultipart with the parts $parts.

#### appendPart

void appendPart( ezcMailPart $part )

Appends a part to the list of parts.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailPart |

#### getParts

array(ezcMailPart) getParts( )

Returns the mail parts associated with this multipart.

#### multipartType

string multipartType( )

Returns "alternative".

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::multipartType()` | Returns the type of multipart.

Documentation generated by phpDocumentor 1.4.3